<?php

// web routes  for server
Route::prefix('{guard}/file')->group(function () {
    Route::resource('server', 'ServerResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ServerResourceController');
            });
            // Public routes for pages
            Route::get('files/', 'ServerPublicController@index');
            Route::get('files/{slug?}', 'ServerPublicController@show');
        }
    );
}

