<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for server in file package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  server module in file package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Server',
    'names'         => 'Servers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Servers',
        'sub'   => 'Servers',
        'list'  => 'List of servers',
        'edit'  => 'Edit server',
        'create'    => 'Create new server'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id_download'                => 'Please enter id download',
        'judul'                      => 'Please enter judul',
        'kategori'                   => 'Please enter kategori',
        'nama_file'                  => 'Please enter nama file',
        'tgl_posting'                => 'Please select tgl posting',
        'hits'                       => 'Please enter hits',
        'PRIMARY'                    => 'Please select PRIMARY',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id_download'                => 'Id download',
        'judul'                      => 'Judul',
        'kategori'                   => 'Kategori',
        'nama_file'                  => 'Nama file',
        'tgl_posting'                => 'Tgl posting',
        'hits'                       => 'Hits',
        'PRIMARY'                    => 'PRIMARY',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'id_download'                => ['name' => 'Id download', 'data-column' => 1, 'checked'],
        'judul'                      => ['name' => 'Judul', 'data-column' => 2, 'checked'],
        'kategori'                   => ['name' => 'Kategori', 'data-column' => 3, 'checked'],
        'nama_file'                  => ['name' => 'Nama file', 'data-column' => 4, 'checked'],
        'tgl_posting'                => ['name' => 'Tgl posting', 'data-column' => 5, 'checked'],
        'hits'                       => ['name' => 'Hits', 'data-column' => 6, 'checked'],
        'PRIMARY'                    => ['name' => 'PRIMARY', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Servers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
